<?php

return array(
    'id' => 'hello',
    'basePath' => dirname(__DIR__),
    'components' => array(
        'cache' => array(
            'class' => 'yii\caching\FileCache',
        ),
        'user' => array(
            'class' => 'yii\web\User',
            'identityClass' => 'app\models\User',
            'enableAutoLogin'=>true,
        ),
        'assetManager' => array(
            'bundles' => require(__DIR__ . '/assets.php'),
            'converter'=>array(
                'class'=>'app\extensions\assetparser\Converter',
                'force'=>true
            )
        ),
        'urlManager' => array(
            'enablePrettyUrl' => true,
            'rules' => array(
                '<controller:\w+>/<id:\d+>' => '<controller>/view',
                '<controller:\w+>/<action:\w+>/<id:\d+>' => '<controller>/<action>',
                '<controller:\w+>/<action:\w+>' => '<controller>/<action>',
            ),
        ),

       
    ),
    'params' => array(
        'adminEmail' => 'admin@example.com',
    ),
);